#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire1400seven4xi .py">
#<abstract4xi abstract = "fires to direction seven and to distance 1400"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire1400seven4xi ']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SEVEN - COORDINATE SIGNS OF SHOOT2SEVEN4XI: (X - ,Y - ,Z + )
# -------------------------------------------------------------------------------------------------    
global shot2seven14004xi

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False
shot2seven14004xi = {
                1:'-1001x-975y73z',
                2:'-1012x-395y882z',
                3:'-1022x-338y893z',
                4:'-1030x-282y904z',
                5:'-1030x-748y580z',
                6:'-1035x-226y915z',
                7:'-1050x-921y87z',
                8:'-1063x-690y592z',
                9:'-1093x-631y605z',
                10:'-1096x-864y101z',
                11:'-1119x-570y618z',
                12:'-1139x-805y115z',
                13:'-1141x-508y630z',
                14:'-1161x-445y643z',
                15:'-1176x-382y655z',
                16:'-1178x-744y129z',
                17:'-1188x-318y667z',
                18:'-1197x-254y680z',
                19:'-1201x-190y692z',
                20:'-1203x-126y704z',
                21:'-1215x-680y143z',
                22:'-123x-1240y636z',
                23:'-1247x-615y156z',
                24:'-1276x-548y170z',
                25:'-127x-681y1216z',
                26:'-12x-13y1399z',
                27:'-1301x-480y184z',
                28:'-1323x-411y198z',
                29:'-1341x-340y212z',
                30:'-13x-199y1385z',
                31:'-141x-1342y369z',
                32:'-159x-662y1222z',
                33:'-186x-1226y649z',
                34:'-190x-641y1229z',
                35:'-19x-729y1194z',
                36:'-210x-1329y383z',
                37:'-21x-25y1399z',
                38:'-220x-619y1236z',
                39:'-22x-185y1387z',
                40:'-247x-595y1242z',
                41:'-249x-1208y661z',
                42:'-272x-570y1249z',
                43:'-279x-1313y396z',
                44:'-28x-37y1399z',
                45:'-296x-544y1255z',
                46:'-29x-170y1389z',
                47:'-310x-1187y674z',
                48:'-317x-517y1261z',
                49:'-337x-489y1267z',
                50:'-33x-50y1398z',
                51:'-346x-1293y409z',
                52:'-354x-461y1273z',
                53:'-35x-154y1390z',
                54:'-369x-432y1279z',
                55:'-370x-1162y686z',
                56:'-383x-402y1284z',
                57:'-38x-64y1397z',
                58:'-391x-72y1342z',
                59:'-394x-373y1290z',
                60:'-39x-139y1392z',
                61:'-3x-214y1383z',
                62:'-3x-3y1399z',
                63:'-400x-95y1338z',
                64:'-403x-343y1295z',
                65:'-407x-120y1333z',
                66:'-410x-314y1300z',
                67:'-412x-1269y423z',
                68:'-413x-145y1329z',
                69:'-415x-285y1306z',
                70:'-417x-172y1325z',
                71:'-419x-199y1320z',
                72:'-419x-256y1311z',
                73:'-41x-78y1397z',
                74:'-420x-227y1315z',
                75:'-428x-1135y698z',
                76:'-42x-123y1393z',
                77:'-43x-108y1395z',
                78:'-43x-93y1396z',
                79:'-476x-1241y436z',
                80:'-484x-1104y710z',
                81:'-535x-451y1212z',
                82:'-538x-1071y722z',
                83:'-539x-1211y449z',
                84:'-548x-415y1219z',
                85:'-556x-521y1291z',
                86:'-559x-379y1226z',
                87:'-567x-343y1232z',
                88:'-573x-307y1239z',
                89:'-577x-271y1245z',
                90:'-579x-235y1252z',
                91:'-57x-715y1201z',
                92:'-589x-1035y734z',
                93:'-58x-1251y624z',
                94:'-599x-1177y463z',
                95:'-639x-997y746z',
                96:'-658x-1140y476z',
                97:'-686x-956y758z',
                98:'-70x-1352y356z',
                99:'-714x-1100y489z',
                100:'-715x-1203y3z',
                101:'-730x-912y769z',
                102:'-768x-1057y502z',
                103:'-772x-867y781z',
                104:'-777x-1164y17z',
                105:'-810x-820y793z',
                106:'-819x-1011y515z',
                107:'-837x-1121y31z',
                108:'-846x-771y804z',
                109:'-867x-963y528z',
                110:'-879x-721y816z',
                111:'-894x-1075y45z',
                112:'-909x-669y827z',
                113:'-912x-912y541z',
                114:'-92x-699y1209z',
                115:'-936x-616y838z',
                116:'-949x-1027y59z',
                117:'-955x-860y554z',
                118:'-960x-561y849z',
                119:'-980x-506y860z',
                120:'-994x-805y567z',
                121:'-997x-451y871z',
                122:'0x-1357y342z'}
         
#"
#/>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire1400seven4xi " usage = "target function for charge2seven4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire1400seven4xi (queue2seven, consumer_channel2seven, publisher_channel2seven):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE1400SEVEN4XI - STARTED TIME: ", time2start)
        #  
        
        print("\n (STEP 1A2/33) OF FIRE1400SEVEN4XI -  QUEUE2SEVEN: ", queue2seven)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE1400SEVEN4XI -  CONSUMER_CHANNEL2SEVEN: ", consumer_channel2seven)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE1400SEVEN4XI -  PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE1400SEVEN4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2seven.put(shot2seven14004xi) 
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE1400SEVEN4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE1400SEVEN4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE1400SEVEN4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2seven8shot2seven14004xi </ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2seven8shot2seven14004xi </nack2put4xi>" 
            
        publisher_channel2seven.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE1400SEVEN4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE1400SEVEN4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE1400SEVEN4XI - RETURNING QUEUE OBJECT QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi())  
        # 
            
    return queue2seven    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire1400seven4xi .py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

       